Index: branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/trcsms.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/trcsms.F90	(revision 8441)
+++ branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/trcsms.F90	(revision 8442)
@@ -16,10 +16,10 @@
    USE trc                !
    USE trcsms_pisces      ! PISCES biogeo-model
-   USE trcsms_medusa      ! MEDUSA tracers
-   USE trcsms_idtra       ! Idealize Tracer
    USE trcsms_cfc         ! CFC 11 & 12
    USE trcsms_c14b        ! C14b tracer 
    USE trcsms_age         ! AGE tracer 
    USE trcsms_my_trc      ! MY_TRC  tracers
+   USE trcsms_idtra       ! Idealize Tracer
+   USE trcsms_medusa      ! MEDUSA tracers
    USE prtctl_trc         ! Print control for debbuging
 
@@ -46,5 +46,4 @@
       INTEGER, INTENT( in ) ::   kt      ! ocean time-step index      
       !!
-      INTEGER            ::  jn
       CHARACTER (len=25) :: charout
       !!---------------------------------------------------------------------
@@ -53,30 +52,10 @@
       !
       IF( lk_pisces  )   CALL trc_sms_pisces ( kt )    ! main program of PISCES 
+      IF( lk_cfc     )   CALL trc_sms_cfc    ( kt )    ! surface fluxes of CFC
+      IF( lk_c14b    )   CALL trc_sms_c14b   ( kt )    ! surface fluxes of C14
+      IF( lk_age     )   CALL trc_sms_age    ( kt )    ! AGE tracer
+      IF( lk_my_trc  )   CALL trc_sms_my_trc ( kt )    ! MY_TRC  tracers
+      IF( lk_idtra   )   CALL trc_sms_idtra  ( kt )    ! radioactive decay of Id. tracer
       IF( lk_medusa  )   CALL trc_sms_medusa ( kt )    ! MEDUSA  tracers
-# if defined key_debug_medusa
-         IF(lwp) WRITE(numout,*) '--trcsms : MEDUSA OK --  next IDTRA -- '
-      CALL flush(numout)
-# endif
-      IF( lk_idtra   )   CALL trc_sms_idtra  ( kt )    ! radioactive decay of Id. tracer
-# if defined key_debug_medusa
-         IF(lwp) WRITE(numout,*) '--trcsms : IDTRA OK --  next CFC -- '
-      CALL flush(numout)
-# endif
-      IF( lk_cfc     )   CALL trc_sms_cfc    ( kt )    ! surface fluxes of CFC
-# if defined key_debug_medusa
-         IF(lwp) WRITE(numout,*) '--trcsms : CFC OK --  next C14 -- '
-      CALL flush(numout)
-# endif
-      IF( lk_c14b    )   CALL trc_sms_c14b   ( kt )    ! surface fluxes of C14
-# if defined key_debug_medusa
-         IF(lwp) WRITE(numout,*) '--trcsms : C14 OK --  next C14 -- '
-      CALL flush(numout)
-# endif
-      IF( lk_age     )   CALL trc_sms_age    ( kt )    ! AGE tracer
-# if defined key_debug_medusa
-         IF(lwp) WRITE(numout,*) '--trcsms : Age OK --  Continue  -- '
-      CALL flush(numout)
-# endif
-      IF( lk_my_trc  )   CALL trc_sms_my_trc ( kt )    ! MY_TRC  tracers
 
       IF(ln_ctl) THEN      ! print mean trends (used for debugging)
Index: branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/trcstp.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/trcstp.F90	(revision 8441)
+++ branches/UKMO/dev_r5518_GO6_package/NEMOGCM/NEMO/TOP_SRC/trcstp.F90	(revision 8442)
@@ -89,13 +89,5 @@
          tra(:,:,:,:) = 0.e0
          !
-# if defined key_debug_medusa
-         IF(lwp) WRITE(numout,*) ' MEDUSA trc_stp begins at kt =', kt
-         CALL flush(numout)
-# endif
                                    CALL trc_rst_opn  ( kt )       ! Open tracer restart file 
-# if defined key_debug_medusa
-                                   CALL trc_rst_stat 
-                                   CALL trc_rst_tra_stat
-# endif
          IF( lrst_trc )            CALL trc_rst_cal  ( kt, 'WRITE' )   ! calendar
          IF( lk_iomput ) THEN  ;   CALL trc_wri      ( kt )       ! output of passive tracers with iom I/O manager
@@ -124,8 +116,4 @@
          !
          IF( nn_dttrc /= 1   )     CALL trc_sub_reset( kt )       ! resetting physical variables when sub-stepping
-# if defined key_debug_medusa
-         IF(lwp) WRITE(numout,*) ' MEDUSA trc_stp ends at kt =', kt
-         CALL flush(numout)
-# endif
          !
       ENDIF
